/*******************************************************************************
 * ParticleModuleTypeDataMeshPhysX generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ParticleModuleTypeDataMeshPhysX extends ParticleModuleTypeDataMesh
    native(Particle)
    editinlinenew
    collapsecategories
    hidecategories(Object,Object,Object,Object);

enum EPhysXMeshRotationMethod
{
    PMRM_Disabled,
    PMRM_Spherical,
    PMRM_Box,
    PMRM_LongBox,
    PMRM_FlatBox,
    PMRM_Velocity,
    PMRM_MAX
};

var(PhysXEmitter) PhysXParticleSystem PhysXParSys;
var(PhysXEmitter) ParticleModuleTypeDataMeshPhysX.EPhysXMeshRotationMethod PhysXRotationMethod;
var(PhysXEmitter) float FluidRotationCoefficient;
var(PhysXEmitter) PhysXEmitterVerticalLodProperties VerticalLod;
var(PhysXEmitter) float ZOffset;

defaultproperties
{
    PhysXRotationMethod=EPhysXMeshRotationMethod.PMRM_Spherical
    FluidRotationCoefficient=5.0
    VerticalLod=(WeightForFifo=1.0,WeightForSpawnLod=1.0,SpawnLodRateVsLifeBias=1.0,RelativeFadeoutTime=0.0)
}